<template>
  <div class="container"
       v-if="ishowtuli"
       id="moved2"
       @mousedown="moved">
    <div class="top">
      <span style="font-weight: bold">动画演示</span>
      <span class="close"
            @click="showtuli">X</span>
    </div>
    <div class="boxMenu">
      <el-button type="primary"
                 class="mini"
                 icon="el-icon-folder-opened"
                 @click="start">开始</el-button>
      <el-button type="primary"
                 class="mini"
                 icon="el-icon-download"
                 @click="pause">暂停</el-button>
      <el-button type="primary"
                 class="mini"
                 icon="el-icon-download"
                 @click="pause">继续</el-button>
      <el-button type="primary"
                 class="mini"
                 icon="el-icon-download"
                 @click="stop">停止</el-button>

      <!-- <div class="menu">
        <p>三维标绘</p>
        <div>
          <div v-for="(item,index) in Option1"
               :key="index">
          </div>
        </div>
      </div> -->

    </div>
  </div>
</template>
<script>
let AnimationData=[];
let pointFly;
import bus from "../../utils/bus";
import { juhe } from "../../utils/work";
export default {
  data () {
    return {
      value: false,
      value1: true,
      value2: false,
      ishowtuli: false,
      scale: 2.13,
      tileCoordinates: true,

      title: "演示动画",
      left: "calc(100% - 725px)",
      top: "10px",
      value: "0",
      selectItem: { type: "" },
      rightClickMenuStyle: {},
      rightClickMenuDisplay: false,
      animationData: [], // 一组动画的一系列片段
      nodeId: "", // 当前操作演示动画id
      showRightMenu: false,
      playIndex: 0,
      animationData: [
        {
          "id": "2D288AA8",
          "description": "默认位置",
          "type": "位置",
          "view": {
            "lon": "109.131740",
            "lat": "32.194800",
            "height": "6718919.27",
            "heading": 354.1,
            "pitch": -88.70000000000033
          },
          "value": "2",
          "time": 1,
          "isClick": false
        },
        {
          "id": "9528863B",
          "description": "显示军委联指",
          "actionType": "显示对象",
          "type": "操作",
          "selectInfo": ["710A1A45"],
          "value": "2",
          "time": 3,
          "isClick": false
        },
        {
          "id": "2EE22084",
          "description": "隐藏军委联指",
          "actionType": "隐藏对象",
          "type": "操作",
          "selectInfo": ["710A1A45"],
          "value": "1",
          "isClick": false
        },
        {
          "id": "436E8612",
          "description": "显示军委位置图标",
          "actionType": "显示对象",
          "type": "操作",
          "selectInfo": ["4E80A73B"],
          "value": "2",
          "time": 1,
          "isClick": false
        },
        {
          "id": "17B2211B",
          "description": "隐藏军委位置图标",
          "actionType": "隐藏对象",
          "type": "操作",
          "selectInfo": ["4E80A73B"],
          "value": "2",
          "time": 1,
          "isClick": false
        },
        {
          "id": "F5C63A93",
          "description": "显示军委位置图标",
          "actionType": "显示对象",
          "type": "操作",
          "selectInfo": ["4E80A73B"],
          "value": "2",
          "time": 1,
          "isClick": false
        },
        {
          "id": "DBE809A1",
          "description": "显示默认位置",
          "type": "位置",
          "view": {
            "lon": "115.051816",
            "lat": "29.355704",
            "height": "5580389.26",
            "heading": 357.83323848386374,
            "pitch": -86.5961304830374
          },
          "value": "1",
          "isClick": false
        },
        {
          "id": "F6092392",
          "description": "显示战区联指",
          "actionType": "显示对象",
          "type": "操作",
          "selectInfo": ["8BE2C18A"],
          "value": "2",
          "time": 3,
          "isClick": false
        },
        {
          "id": "A58FFA7A",
          "description": "隐藏战区联指",
          "actionType": "隐藏对象",
          "type": "操作",
          "selectInfo": ["8BE2C18A"],
          "value": "1",
          "isClick": false
        },
        {
          "id": "C9EB0972",
          "description": "显示战区位置图标",
          "actionType": "显示对象",
          "type": "操作",
          "selectInfo": ["11E65749"],
          "value": "2",
          "time": 1,
          "isClick": false
        },
        {
          "id": "EF6DC4CB",
          "description": "隐藏战区位置图标",
          "actionType": "隐藏对象",
          "type": "操作",
          "selectInfo": ["11E65749"],
          "value": "2",
          "time": 1,
          "isClick": false
        },
        {
          "id": "27A3C0C9",
          "description": "显示战区位置图标",
          "actionType": "显示对象",
          "type": "操作",
          "selectInfo": ["11E65749"],
          "value": "2",
          "time": 1,
          "isClick": false
        },
        {
          "id": "CC244478",
          "description": "显示默认位置",
          "type": "位置",
          "view": {
            "lon": "114.329684",
            "lat": "29.267469",
            "height": "5054497.61",
            "heading": 357.840511288967,
            "pitch": -86.58465869527897
          },
          "value": "1",
          "isClick": false
        },
        {
          "id": "C25D7DCA",
          "description": "显示北京到南京流线",
          "actionType": "显示对象",
          "type": "操作",
          "selectInfo": ["0043A493"],
          "value": "1",
          "isClick": false
        },
        {
          "id": "7142D4A5",
          "description": "显示北京到南京流静态线",
          "actionType": "显示对象",
          "type": "操作",
          "selectInfo": ["FF5557E9"],
          "value": "2",
          "time": 2,
          "isClick": false
        },
        {
          "id": "E2DF762C",
          "description": "显示作战集群",
          "actionType": "显示对象",
          "type": "操作",
          "selectInfo": ["CEF22C36"],
          "value": "2",
          "time": 3,
          "isClick": false
        },
        {
          "id": "796581AF",
          "description": "隐藏作战集群",
          "actionType": "隐藏对象",
          "type": "操作",
          "selectInfo": ["CEF22C36"],
          "value": "1",
          "isClick": false
        },
        {
          "id": "32A1280D",
          "description": "显示作战集群图标",
          "actionType": "显示对象",
          "type": "操作",
          "selectInfo": ["61E74C87"],
          "value": "2",
          "time": 1,
          "isClick": false
        },
        {
          "id": "4E1D947D",
          "description": "隐藏作战集群图标",
          "actionType": "隐藏对象",
          "type": "操作",
          "selectInfo": ["61E74C87"],
          "value": "2",
          "time": 1,
          "isClick": false
        },
        {
          "id": "C059F92D",
          "description": "显示作战集群图标",
          "actionType": "显示对象",
          "type": "操作",
          "selectInfo": ["61E74C87"],
          "value": "2",
          "time": 1,
          "isClick": false
        },
        {
          "id": "C63EA02F",
          "description": "显示默认位置",
          "type": "位置",
          "view": {
            "lon": "121.374870",
            "lat": "26.142288",
            "height": "4356039.31",
            "heading": 357.83212449218917,
            "pitch": -86.59788083067261
          },
          "value": "1",
          "isClick": false
        },
        {
          "id": "44844F07",
          "description": "显示南京到福州流线",
          "actionType": "显示对象",
          "type": "操作",
          "selectInfo": ["BFF675EC"],
          "value": "1",
          "isClick": false
        },
        {
          "id": "B4A16045",
          "description": "显示南京到福州流静态线",
          "actionType": "显示对象",
          "type": "操作",
          "selectInfo": ["35ADD547"],
          "value": "2",
          "time": 2,
          "isClick": false
        },
        {
          "id": "DC17A35C",
          "description": "显示任务部队",
          "actionType": "显示对象",
          "type": "操作",
          "selectInfo": ["366033A3"],
          "value": "2",
          "time": 3,
          "isClick": false
        },
        {
          "id": "A815E926",
          "description": "隐藏任务部队",
          "actionType": "隐藏对象",
          "type": "操作",
          "selectInfo": ["366033A3"],
          "value": "1",
          "isClick": false
        },
        {
          "id": "9E7AB544",
          "description": "显示位置",
          "type": "位置",
          "view": {
            "lon": "119.771912",
            "lat": "25.466326",
            "height": "339051.61",
            "heading": 9.339648782481907,
            "pitch": -88.04943417072181
          },
          "value": "1",
          "isClick": false
        },
        {
          "id": "813E3326",
          "description": "显示作战集群图标",
          "actionType": "显示对象",
          "type": "操作",
          "selectInfo": ["6BFF77A2","6BFF77A6"],
          "value": "2",
          "time": 1,
          "isClick": false
        },
        {
          "id": "A6B66EF2",
          "description": "隐藏作战集群图标",
          "actionType": "隐藏对象",
          "type": "操作",
          "selectInfo": ["6BFF77A2","6BFF77A6"],
          "value": "2",
          "time": 1,
          "isClick": false
        },
        {
          "id": "F1AD0C76",
          "description": "显示作战集群图标",
          "actionType": "显示对象",
          "type": "操作",
          "selectInfo": ["6BFF77A2","6BFF77A6"],
          "value": "2",
          "time": 1,
          "isClick": false
        },
        {
          "id": "7396F648",
          "description": "显示位置",
          "type": "位置",
          "view": {
            "lon": "119.771912",
            "lat": "25.466326",
            "height": "339051.61",
            "heading": 9.339648782481907,
            "pitch": -88.04943417072181
          },
          "value": "1",
          "isClick": false
        },
        {
          "id": "61C3049A",
          "description": "显示福州到平潭流线",
          "actionType": "显示对象",
          "type": "操作",
          "selectInfo": ["87D8926C"],
          "value": "1",
          "isClick": false
        },
        {
          "id": "B7888A36",
          "description": "显示福州到平潭静态线",
          "actionType": "显示对象",
          "type": "操作",
          "selectInfo": ["9F07E807"],
          "value": "2",
          "time": 2,
          "isClick": false
        },
        {
          "id": "56F9BA71",
          "description": "显示位置",
          "type": "位置",
          "view": {
            "lon": "119.806705",
            "lat": "29.388126",
            "height": "5092401.07",
            "heading": 9.339708130989383,
            "pitch": -88.03886634582898
          },
          "value": "1",
          "isClick": false
        },
        {
          "id": "019624F2",
          "description": "显示空中卫星",
          "actionType": "显示对象",
          "type": "操作",
          "selectInfo": ["EF666AD4"],
          "value": "2",
          "time": 3,
          "isClick": false
        },
        {
          "id": "A2DBBAF5",
          "description": "隐藏空中卫星",
          "actionType": "隐藏对象",
          "type": "操作",
          "selectInfo": ["EF666AD4"],
          "value": "1",
          "isClick": false
        },
        {
          "id": "91C04225",
          "description": "显示空中卫星位置模型",
          "actionType": "显示对象",
          "type": "操作",
          "selectInfo": ["D6D9C4BD"],
          "value": "2",
          "time": 3,
          "isClick": false
        },
        {
          "id": "7ABC8DE3",
          "description": "侧面展示卫星位置",
          "type": "位置",
          "view": {
            "lon": "119.401895",
            "lat": "16.071907",
            "height": "1110461.97",
            "heading": 351.41184354978844,
            "pitch": -38.112339035741634
          },
          "value": "1",
          "isClick": false
        },
        {
          "id": "66A51790",
          "description": "显示通讯链路",
          "actionType": "显示对象",
          "type": "操作",
          "selectInfo": ["538C10DD"],
          "value": "2",
          "time": 3,
          "isClick": false
        },
        {
          "id": "9A815AEB",
          "description": "隐藏通讯链路",
          "actionType": "隐藏对象",
          "type": "操作",
          "selectInfo": ["538C10DD"],
          "value": "1",
          "isClick": false
        },
        {
          "id": "00626E61",
          "description": "显示与军委通讯",
          "actionType": "显示对象",
          "type": "操作",
          "selectInfo": ["8D8D7789"],
          "value": "2",
          "time": 1,
          "isClick": false
        },
        {
          "id": "78BDCA78",
          "description": "显示与战区通讯",
          "actionType": "显示对象",
          "type": "操作",
          "selectInfo": ["EB6B36B8"],
          "value": "2",
          "time": 1,
          "isClick": false
        },
        {
          "id": "7A6D4A89",
          "description": "显示与作战集群通讯",
          "actionType": "显示对象",
          "type": "操作",
          "selectInfo": ["511659D5"],
          "value": "2",
          "time": 1,
          "isClick": false
        },
        {
          "id": "0FF24EE3",
          "description": "显示与任务部队通讯",
          "actionType": "显示对象",
          "type": "操作",
          "selectInfo": ["66DE14E1"],
          "value": "2",
          "time": 1,
          "isClick": false
        },
        {
          "id": "F898D72A",
          "description": "显示红色通讯线 状态查询",
          "actionType": "显示对象",
          "type": "操作",
          "selectInfo": ["D70F3606"],
          "value": "2",
          "time": 2,
          "isClick": false
        },
        {
          "id": "DBDC549D",
          "description": "隐藏红色通讯线 状态查询",
          "actionType": "隐藏对象",
          "type": "操作",
          "selectInfo": ["D70F3606"],
          "value": "1",
          "isClick": false
        },
        {
          "id": "D8B7773E",
          "description": "显示传输中断",
          "actionType": "显示对象",
          "type": "操作",
          "selectInfo": ["8FBFA692"],
          "value": "2",
          "time": 3,
          "isClick": false
        },
        {
          "id": "06ECE52F",
          "description": "关闭传输中断",
          "actionType": "隐藏对象",
          "type": "操作",
          "selectInfo": ["8FBFA692"],
          "value": "1",
          "isClick": false
        },
        {
          "id": "B6D8F034",
          "description": "关闭所有演示脚本",
          "actionType": "隐藏对象",
          "type": "操作",
          "selectInfo": [
            "4FE10400",
            "D6D9C4BC",
            "D6D9C4BE",
            "D6D9C4BD",
            "BF993EEC",
            "4E80A73B",
            "11E65749",
            "61E74C87",
            "6BFF77A2",
            "6BFF77A6",
            "0A51CF71",
            "0043A493",
            "BFF675EC",
            "87D8926C",
            "AD66C2CA",
            "FF5557E9",
            "35ADD547",
            "9F07E807",
            "8D8D7789",
            "EB6B36B8",
            "511659D5",
            "66DE14E1",
            "8FBFA692",
            "7BA80DFE",
            "710A1A45",
            "8BE2C18A",
            "CEF22C36",
            "366033A3",
            "EF666AD4",
            "538C10DD",
            "D70F3606"
          ],
          "value": "1",
          "isClick": false
        }
      ], //正在播放的数据
      isPlay: false, // 是否正在播放
      showControl: false,
    };

  },
  methods: {
    moved (event) {
      var drag=document.getElementById("moved2");
      // //点击某物体时，用drag对象即可，move和up是全局区域，
      // 也就是整个文档通用，应该使用document对象而不是drag对象(否则，采用drag对象时物体只能往右方或下方移动)
      var event=event||window.event; //兼容IE浏览器
      //    鼠标点击物体那一刻相对于物体左侧边框的距离=点击时的位置相对于浏览器最左边的距离-物体左边框相对于浏览器最左边的距离
      var diffX=event.clientX*this.scale-drag.offsetLeft;
      var diffY=event.clientY*this.scale-drag.offsetTop;
      document.onmousemove=(event) => {
        var event=event||window.event;
        var moveX=event.clientX*this.scale-diffX;
        var moveY=event.clientY*this.scale-diffY;
        if(moveX<0) {
          moveX=0;
        } else if(moveX>2304*this.scale-drag.offsetWidth) {
          moveX=2304*this.scale-drag.offsetWidth;
        }
        if(moveY<0) {
          moveY=0;
        } else if(moveY>4096*this.scale-drag.offsetHeight) {
          moveY=4096*this.scale-drag.offsetHeight;
        }
        drag.style.left=moveX+"px";
        drag.style.top=moveY+"px";
      };
      document.onmouseup=function(event) {
        document.onmousemove=null;
        document.onmouseup=null;
      };
    },
    //边框的显示隐藏
    showtuli () {
      this.ishowtuli=false;
      //清除系统台站，监测站，gb
    },
    open (id,data) {
      this.nodeId=id;
      if(data) {
        this.animationData=data;
      }
      this.$refs.demo.open();
    },
    close () {
      this.nodeId="";
      this.animationData=[];
      this.save();
      this.stop();
    },
    // 获取下标
    getIndexById (id) {
      for(let i=0;i<this.animationData.length;i++) {
        if(this.animationData[i].id===id) {
          return i;
        }
      }
      return undefined;
    },
    // 上移
    moveUp (index) {
      const upDate=this.animationData[index-1];
      this.animationData.splice(index-1,1);
      this.animationData.splice(index,0,upDate);
    },
    // 下移
    moveDown (index) {
      const downDate=this.animationData[index+1];
      this.animationData.splice(index+1,1);
      this.animationData.splice(index,0,downDate);
    },
    // 删除
    remove (index) {
      this.animationData.splice(index,1);
    },
    //获取视角
    getView () {
      let degrees=sgworld.Navigate.getDegrees(); //经纬度
      let heading=Cesium.Math.toDegrees(Viewer.camera.heading); //水平角
      let pitch=Cesium.Math.toDegrees(Viewer.camera.pitch); //俯仰角度
      return {
        lon: degrees.lon.toFixed(6),
        lat: degrees.lat.toFixed(6),
        height: degrees.height.toFixed(2),
        heading,
        pitch,
      };
    },
    // 获取树中记录的数据
    getTreedata (selectInfo,actionType) {
      let obj={
        id: window.sgworld.Core.getuid(),
        description: "此处编辑描述",
        actionType, //记录 操作的种类
        type: "操作",
        selectInfo,
        value: "1",
        time: undefined,
        isClick: false,
      };
      if(this.selectItem&&this.selectItem.id) {
        let index=this.getIndexById(this.selectItem.id);
        this.animationData.splice(index+1,0,obj);
      } else {
        this.animationData.push(obj);
      }
    },
    // 添加记录
    addData (type,actionType) {
      if(type==="action") {
        this.$refs.dataTree.open(actionType);
      } else {
        let location=this.getView();
        let obj={
          id: window.sgworld.Core.getuid(),
          description: "此处编辑描述",
          type: "位置",
          view: location,
          value: "1",
          time: undefined,
          isClick: false,
        };
        if(this.selectItem) {
          let index=this.getIndexById(this.selectItem.id);
          this.animationData.splice(index+1,0,obj);
        } else {
          this.animationData.push(obj);
        }
      }
    },
    // 地下模式
    undergroundMode (val) {
      let actionType=val? "开启地下模式":"关闭地下模式";
      let obj={
        id: window.sgworld.Core.getuid(),
        isUnderground: true,
        description: "此处编辑描述",
        actionType,
        type: "操作",
        value: "1",
        time: undefined,
        isClick: false,
      };
      if(this.selectItem) {
        let index=this.getIndexById(this.selectItem.id);
        this.animationData.splice(index+1,0,obj);
      } else {
        this.animationData.push(obj);
      }
    },
    // 更新位置
    updateLocation () {
      if(this.selectItem&&this.selectItem.type==="位置") {
        let location=this.getView();
        let index=this.getIndexById(this.selectItem.id);
        if(this.animationData[index].view) {
          this.animationData[index].view=location;
        }
      }
    },
    // 更新操作
    updateAction () {
      if(this.selectItem&&this.selectItem.type==="操作") {
        this.$refs.dataTree.open(
          this.selectItem.actionType,
          this.selectItem.selectInfo,
          true
        );
      }
    },
    //保存更新
    updateData (newData) {
      let index=this.getIndexById(this.selectItem.id);
      this.animationData[index].selectInfo=newData;
    },
    // 保存
    save () {
      this.$emit("success",this.nodeId,this.animationData);
    },
    // 开始播放
    start () {
      // if(data) {
      //   this.animationData=data;
      // }
      this.playIndex=0;
      this.isPlay=true;
      this.display();
    },
    // 播放
    display (data,click=false) {
      if(data) {
        this.stop();
        this.playIndex=this.getIndexById(data.id);
        this.isPlay=true;
        click=true;
      }
      if(this.playIndex>this.animationData.length-1) {
        this.stop();
        return;
      } else if(!this.isPlay) {
        return;
      }
      let thisPlay=this.animationData[this.playIndex];
      this.$refs.table&&this.$refs.table.setCurrentRow(thisPlay);
      if(thisPlay.isClick&&!click) {
        this.playIndex--;
      } else {
        if(thisPlay.type==="位置") {
          let position=thisPlay.view;
          let maximumHeight=
            position.height<0&&Viewer.camera.positionCartographic.height<0
              ? Math.max([
                position.height,
                Viewer.camera.positionCartographic.height,
              ])
              :undefined;
          Viewer.camera.flyTo({
            destination: Cesium.Cartesian3.fromDegrees(
              position.lon,
              position.lat,
              position.height
            ),
            orientation: {
              heading: Cesium.Math.toRadians(position.heading),
              pitch: Cesium.Math.toRadians(position.pitch),
              roll: 0,
            },
            maximumHeight,
            easingFunction: function(time) {
              return time*(2.0-time);
            },
          });
        } else if(thisPlay.type==="操作") {
          let show;
          if(thisPlay.actionType==="显示对象") {
            show=true;
          } else if(thisPlay.actionType==="隐藏对象") {
            show=false;
          }
          if(thisPlay.actionType==="开启地下模式") {
            sgworld.Analysis.UndergroundMode(true,0.5);
          } else if(thisPlay.actionType==="关闭地下模式") {
            sgworld.Analysis.UndergroundMode(false);
          }
          this.$emit("setAnimation",thisPlay.selectInfo,show);
        }
        let time=0;
        if(thisPlay.type==="位置") {
          time=3;
        }
        if(thisPlay.time) {
          this.timeOut(() => {
            // 定时
            this.playIndex++;
            this.display();
          },thisPlay.time+time);
        } else {
          this.timeOut(() => {
            this.playIndex++;
            this.display();
          },time);
        }
      }
    },
    next () {
      this.playIndex++;
      this.display(undefined,true);
    },
    // 停止
    stop () {
      clearTimeout(this.time);
      sgworld.Navigate.Stop(); //取消飞行状态
      this.$refs.table&&this.$refs.table.setCurrentRow();
      window.sgworld.Analysis.UndergroundMode(false,0.5);
      this.playIn;
      this.playIndex=0;
      this.isPlay=false;
    },
    //暂停
    pause (val) {
      this.isPlay=!this.isPlay;
      if(!val) {
        this.display();
      }
    },
    timeOut (callback,time) {
      clearTimeout(this.time);
      this.time=setTimeout(callback,time*1000);
    },
    change (value,index) {
      switch(value) {
        case "0":
          this.animationData[index].isClick=true;
          this.animationData[index].time=undefined;
          break;
        case "1":
          this.animationData[index].time=undefined;
          this.animationData[index].isClick=false;
          break;
        case "2":
          this.animationData[index].time=1;
          this.animationData[index].isClick=false;
          break;
      }
    },
    rowClick (row,column,event) {
      // this.display(row);
    },
    //鼠标操作
    mouseIn (row) {
      if(this.$refs.contextmenu.visible||this.$refs.dataTree.isOpen) {
        return;
      }
      this.selectItem=row;
    },
    mouseOut () {
      if(this.$refs.contextmenu.visible||this.$refs.dataTree.isOpen) {
        return;
      }
      this.selectItem={ type: "" };
    },
    rightClick (row,column,event) {
      if(row) {
        this.selectItem=row;
      }
    },
  },
  mounted () {
    bus.$on("clearMilitaryPlot",(e) => {
      this.ishowtuli=false
      this.showtuli()
    });
    bus.$on("ishowDemoAnimation",(e) => {
      if(this.ishowtuli) {
        this.ishowtuli=false
        this.showtuli()
      } else {
        this.ishowtuli=true
      }
    });
  },
  watch: {
    value (e) {
      if(e) {
        if(document.getElementsByClassName("tableContain")[0]) {
          document.getElementsByClassName("tableContain")[0].style.display=
            "none";
        }
      }
    },
    value1 (e) {
      if(e) {
        this.showbuild()
        if(document.getElementsByClassName("tableContain")[0]) {
          document.getElementsByClassName("tableContain")[0].style.display=
            "none";
        }
      } else {
        mode1.deleteObject()
        mode1=null
      }
    },
  },
};
</script>
<style  scoped>
.top {
  width: 94%;
  height: 20%;
  margin: 0 auto;
  border-bottom: 2px solid #fff;
  color: #fff;
}
.top > span {
  display: inline-block;
  margin: 10px 20px;
  font-size: 40px;
  letter-spacing: 5px;
  font-weight: 300;
  line-height: 80px;
  margin-left: 40px;
}
.container {
  width: 800px;
  height: 500px;
  position: absolute;
  right: 340px;
  top: 180px;
  z-index: 50;
  background: url(~@/assets/image/test/圆角矩形.png) no-repeat;
  background-position: center;
  background-size: 100% 100%;
  cursor: move;
}
.boxMenu {
  width: 92%;
  height: 80%;
  position: relative;
  margin: 3% 4%;
  display: grid;
  grid-template-columns: auto auto;
  /* font-weight: bold;
  display: flex;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  flex-direction: column;
  justify-content: center;
  -ms-flex-pack: distribute;
  align-items: center; */
}

.mini {
  height: 100px;
  margin: 20px;
}
.menuTitle {
  font-size: 36px;
  color: white;
  margin: 10px 40px;
}
.menuItem {
  margin: 20px 10px;
  /* background: #409eff !important; */
}
.menuItem button {
  width: 200px;
}
.menuItem :hover {
  /* color: #409eff !important; */
  /* background: #409eff !important; */
}
.menuContent {
  /* display: flex; */
  cursor: pointer;
  display: grid;
  grid-template-columns: auto auto auto;
  text-align: center;
  font-size: 32px;
  color: white;
  margin: 10px 40px;
}
.box .menu {
  width: 100%;
  height: auto;
}
.box >>> .el-switch__core {
  width: 140px !important;
  height: 50px;
  margin-left: 30px;
  border-radius: 28px;
}
.box >>> .el-switch__core:after {
  width: 48px;
  height: 48px;
  margin-left: 0px;
  top: 0px;
}
.box >>> .el-switch.is-checked .el-switch__core::after {
  margin-left: -50px !important;
}
.box > div {
  width: 70%;
  height: 70px;
  font-size: 40px;
  line-height: 70px;
  margin-top: 20px;
  color: #fff;
  display: flex;
  flex-wrap: nowrap;
  justify-content: space-around;
  align-items: center;
}
.close {
  position: absolute;
  right: 20px;
  top: 0px;
  cursor: pointer;
}
/* .container>div{
width: 100%;
height: 20%;
border: 1px solid #000;
} */
</style>